Bug 509807 - Review Request: perl-CGI-Application-Standard-Config - Defines a standard configuration API for CGI::Application
Review Request: perl-CGI-Application-Standard-Config - Defines a standard con...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 07:38 EDT by Emmanuel Seyman
Modified: 2009-07-23 15:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.01-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-23 15:12:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-07-06 07:38:38 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Standard-Config/perl-CGI-Application-Standard-Config.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Standard-Config/perl-CGI-Application-Standard-Config-1.01-1.fc11.src.rpm
Description:
This module defines a minimum standard interface that configuration
plugins for CGI::Application should meet. Having such a standard allows
other plugin authors to rely on basic configuration functionality without
coding exceptions for several configuration modules, or giving up on such
integration.
Comment 1 Parag AN(पराग) 2009-07-06 09:01:45 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1456757
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
7db11443193e7fae6fab8d9a6220dbfbd8a22efe  CGI-Application-Standard-Config-1.01.tar.gz

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=4, Tests=5,  0 wallclock secs ( 0.03 usr  0.01 sys +  0.13 cusr  0.02 csys =  0.19 CPU)
+Package perl-CGI-Application-Standard-Config-1.01-1.fc12.noarch
Provides: perl(CGI::Application::Standard::Config) = 1.01
Requires: perl(base) perl(vars)

APPROVED.
Comment 2 Emmanuel Seyman 2009-07-07 03:58:38 EDT
(In reply to comment #1):
> 
> APPROVED.  

Thanks, Parag! Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Standard-Config
Short Description: Defines a standard configuration API for CGI::Application
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig
Comment 3 Jason Tibbitts 2009-07-08 12:24:32 EDT
CVS done.
Comment 4 Parag AN(पराग) 2009-07-16 10:41:58 EDT
Is this built for all requested branches?
Comment 5 Emmanuel Seyman 2009-07-16 11:11:08 EDT
(In reply to comment #4)
>
> Is this built for all requested branches?  

Hum, I thought this too required CGI-Application-Dispatch.
Building and releasing updates now.
Comment 6 Fedora Update System 2009-07-16 11:14:44 EDT
perl-CGI-Application-Standard-Config-1.01-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Standard-Config-1.01-1.fc11
Comment 7 Fedora Update System 2009-07-22 17:50:43 EDT
perl-CGI-Application-Standard-Config-1.01-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Standard-Config'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7853
Comment 8 Fedora Update System 2009-07-23 15:12:19 EDT
perl-CGI-Application-Standard-Config-1.01-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.